import request from '@/utils/request'

// 查询访客列表
export function listGuest(query) {
  return request({
    url: '/business/guest/list',
    method: 'get',
    params: query
  })
}

// 查询访客详细
export function getGuest(guestId) {
  return request({
    url: '/business/guest/' + guestId,
    method: 'get'
  })
}

// 新增访客
export function addGuest(data) {
  return request({
    url: '/business/guest',
    method: 'post',
    data: data
  })
}

// 修改访客
export function updateGuest(data) {
  return request({
    url: '/business/guest',
    method: 'put',
    data: data
  })
}

// 删除访客
export function delGuest(guestId) {
  return request({
    url: '/business/guest/' + guestId,
    method: 'delete'
  })
}
